# AbstractQuery

class AbstractQuery

An abstract query from which all other queries inherit.

Queries prepare URL's for API calls, send them and hold the response.

## Methods

__construct()

No description

self;
execute(Client $client)

executes the query and returns the response

integer
getStatusCode()

No description

bool
isExecuted()

No description

array
getHeaders()

No description

string
getReasonPhrase()

No description

string
getBody()

No description

ModelObject
model()

No description

array
csl()

No description

string
bibliography(string $bibliographyStyleName, string $lang = 'en-US', string $bibliographyStyle = '')

No description

string
bibtex()

No description

string
endnote()

No description

## Details

###
at line 106
`__construct()`

###
at line 117
`abstract self; execute(Client $client)`

executes the query and returns the response

#### Parameters

Client | $client |

#### Return Value

self; |

###
at line 128
`integer getStatusCode()`

#### Return Value

integer |

###
at line 135
`bool isExecuted()`

#### Return Value

bool |

###
at line 142
`array getHeaders()`

#### Return Value

array |

###
at line 149
`string getReasonPhrase()`

#### Return Value

string |

###
at line 157
`string getBody()`

#### Return Value

string |

#### Exceptions

UnsupportedOperationException |

###
at line 175
`ModelObject model()`

#### Return Value

ModelObject |

#### Exceptions

UnsupportedOperationException |

###
at line 192
`array csl()`

#### Return Value

array |

#### Exceptions

UnsupportedOperationException |

###
at line 218
`string bibliography(string $bibliographyStyleName, string $lang = 'en-US', string $bibliographyStyle = '')`

#### Parameters

string | $bibliographyStyleName | supported styles: 'apa', 'din-1505-2', 'ieee', 'harvard1', 'harvard7de', 'vancouver'
string | $lang |
string | $bibliographyStyle |

#### Return Value

string |

#### Exceptions

FileNotFoundException |
UnsupportedOperationException |

###
at line 246
`string bibtex()`

#### Return Value

string |

#### Exceptions

UnsupportedOperationException |

###
at line 267
`string endnote()`

#### Return Value

string |

#### Exceptions

UnsupportedOperationException |